#include <bits/stdc++.h>
using namespace std;
long long a[100007];

int nq,n,l,r,mark,cnt1{0};
int solution(int l, int r,string s) {
    int cnt{0};
    for(int i = l;i<r;i++) {
        if(s[i] <= s[i+1]) {
            cnt1++;
        }
        else {
                cnt++; cnt1 = 0;
        }
    }
    return cnt;

}
int main() {
    ios_base::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);
	string s;
	cin >> s;
	cin >> nq;
	for(int i = 1;i<=nq;i++) {
        cin >> l >> r;
        cout << solution(l,r,s) << endl;;
	}
}
